Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.jini.core.constraint
Class ConnectionAbsoluteTime

    java.lang.Object
      net.jini.core.constraint.ConnectionAbsoluteTime

All Implemented Interfaces:
  InvocationConstraint, Serializable

public final class ConnectionAbsoluteTime
extends Object
implements InvocationConstraint, Serializable

Represents a constraint on the absolute time by which a network connection must be established. The precise meaning of this will vary across communication mechanisms, but in the typical case of `Socket`-based communication, the intention is that this constraint controls the timeout parameter of the `connect` method.

Since:
  2.0
See Also:
  Serialized Form

Constructor Summary
`ConnectionAbsoluteTime(long time)` Creates a constraint with the specified deadline for connection establishment.

Method Summary
`boolean` | `equals(Object obj)` Two instances of this class are equal if both have the same deadline.
`long` | `getTime()` Returns the deadline for connection establishment.
`int` | `hashCode()` Returns a hash code value for this object.
`String` | `toString()` Returns a string representation of this object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConnectionAbsoluteTime

    public ConnectionAbsoluteTime(long time)

  Creates a constraint with the specified deadline for connection establishment.

Parameters:
  `time` - the deadline for connection establishment in milliseconds from midnight, January 1, 1970 UTC

Method Detail

### getTime

    public long getTime()

  Returns the deadline for connection establishment.

  Returns:
    the deadline for connection establishment in milliseconds from midnight, January 1, 1970 UTC

### hashCode

    public int hashCode()

  Returns a hash code value for this object.

### equals

    public boolean equals(Object obj)

  Two instances of this class are equal if both have the same deadline.

### toString

    public String toString()

  Returns a string representation of this object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved